# Standard snapshot and moderation (/en/api-reference/api-ref/broadcast-streaming/snapshot-moderation/standard)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

<CalloutContainer type="info">
  <CalloutDescription>
    Custom snapshot and moderation enables you to use third-party cloud storage services, while standard snapshot and moderation does not.
  </CalloutDescription>
</CalloutContainer>

## Set standard snapshot configuration [#set-standard-snapshot-configuration]

Sets the standard snapshot configuration for all live streams under an entry point, including the interval of snapshot capturing and whether to enable content moderation.

### HTTP request [#http-request]

```bash
PATCH https://api.agora.io/v1/projects/{appid}/fls/entry_points/{entry_point}/settings/snapshot/standard/regions/{region}
```

#### Path parameter [#path-parameter]

| Parameter     | Type   | Description                                             |
| :------------ | :----- | :------------------------------------------------------ |
| `appid`       | String | Required. The App ID retrieved from Agora Console.      |
| `entry_point` | String | Required. The entry point name.                         |
| `region`      | String | Required. The configured region when adding the domain. |

#### Request body [#request-body]

The request body is in the JSON Object type, and contains the following fields:

| Field              | Type    | Description                                                                                                                              |
| :----------------- | :------ | :--------------------------------------------------------------------------------------------------------------------------------------- |
| `enabled`          | Bool    | Required. Whether to enable the snapshot capturing function:- `true`: Enable snapshot capturing.

- `false`: Disable snapshot capturing. |
| `snapshotInterval` | Integer | Optional. The interval between snapshot capturings, in seconds. The default value is 10, and the value range is \[5,300].                |
| `enableModeration` | Bool    | Optional. Whether to enable content moderation:- `true`: Enable content moderation.

- `false`: (default) Disable content moderation.    |

### HTTP response [#http-response]

If the returned HTTP status code is 200, the request is successful.

If the returned HTTP status code is not 200, the request fails. You can refer to the [HTTP status code ](#http-code)for possible reasons.

### Example [#example]

**Request line**

```bash
PATCH https://api.agora.io/v1/projects/{your_appid}/fls/entry_points/live/settings/snapshot/standard/regions/cn HTTP/1.1
```

**Request body**

```json
{
    "enabled": true,
    "enableModeration": true,
    "snapshotInterval": 30
}
```

**Response line**

```bash
HTTP/1.1 200 OK
```

## Get standard snapshot configuration [#get-standard-snapshot-configuration]

Gets the standard snapshot configuration of an entry point.

### HTTP request [#http-request-1]

```bash
GET https://api.agora.io/v1/projects/{appid}/fls/entry_points/{entry_point}/settings/snapshot/standard/regions/{region}
```

#### Path parameter [#path-parameter-1]

| Parameter     | Type   | Description                                             |
| :------------ | :----- | :------------------------------------------------------ |
| `appid`       | String | Required. The App ID retrieved from Agora Console.      |
| `entry_point` | String | Required. The entry point name.                         |
| `region`      | String | Required. The configured region when adding the domain. |

### HTTP response [#http-response-1]

If the returned HTTP status code is 200, the request is successful, and the response body contains the following fields:

| Field              | Type    | Description                                                                                                                             |
| :----------------- | :------ | :-------------------------------------------------------------------------------------------------------------------------------------- |
| `enabled`          | Bool    | Whether the snapshot capturing function is enabled:- `true`: Snapshot capturing is enabled.

- `false`: Snapshot capturing is disabled. |
| `snapshotInterval` | Integer | The interval between snapshot capturings, in seconds. The default value is 10, and the value range is \[5,300].                         |
| `enableModeration` | Bool    | Whether content moderation is enabled:- `true`: Content moderation is enabled.

- `false`: Content moderation is not enabled.           |

If the returned HTTP status code is not 200, the request fails. You can refer to the [HTTP status code ](#http-code)for possible reasons.

### Example [#example-1]

**Request line**

```bash
GET https://api.agora.io/v1/projects/{your_appid}/fls/entry_points/live/settings/snapshot/standard/regions/cn HTTP/1.1
```

**Response line**

```bash
HTTP/1.1 200 OK
```

**Request body**

```json
{
  "enabled": true,
  "enableModeration": true,
  "snapshotInterval": 30
}
```

<a name="http-code" />

## HTTP status code [#http-status-code]

| Status code | Description                                                                                                                                              |
| :---------- | :------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 200         | The request succeeds.                                                                                                                                    |
| 400         | The parameter is invalid, for example the `appid` or the `entry_point` is empty, or the `region` parameter value is invalid.                             |
| 401         | Unauthorized (the customer ID and the customer secret do not match).                                                                                     |
| 404         | The server cannot find the resource according to the request, which means the requested entry point does not exist or the requested URI path is invalid. |
| 500         | An internal error occurs in the server, so the server is not able to complete the request.                                                               |
| 504         | An internal error occurs in the server. The gateway or the proxy server did not receive a timely request from the remote server.                         |
